Subject: Re: [PATCH] bcm43xx: Drain TX status before starting IRQs

From: Johannes Berg <[email-masked]>
Date: Thu, 02 Nov 2006 09:45:46 +0100

On Wed, 2006-11-01 at 23:46 -0600, Larry Finger wrote:

> Has anyone used this patch, particularly with WPA encryption? When I try it, wpa_supplicant 
> immediately uses 90+% of the cpu and never actually authenticates with my AP. I wonder if it is 
> something with my system.

Unless wpa supplicant is stupid [1] this cannot cause it any problems.

johannes

[1] by that, I mean sending out frames, turning off and on the
interface, and then hoping to get a transmit status for frames sent
before off/on cycle.